FreeMat

- Main Page
- Related Pages

vtkBoxLayoutStrategy

Section: Visualization Toolkit Infovis Classes

# Usage

vtkBoxLayoutStrategy recursively partitions the space for children vertices in a tree-map into square regions (or regions very close to a square).

.SECTION Thanks Thanks to Brian Wylie from Sandia National Laboratories for creating this class.

To create an instance of class vtkBoxLayoutStrategy, simply invoke its constructor as follows

      obj = vtkBoxLayoutStrategy

# Methods

The class vtkBoxLayoutStrategy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkBoxLayoutStrategy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkBoxLayoutStrategy = obj.NewInstance ()`
- `vtkBoxLayoutStrategy = obj.SafeDownCast (vtkObject o)`
- `obj.Layout (vtkTree inputTree, vtkDataArray coordsArray, vtkDataArray sizeArray)` - Perform the layout of a tree and place the results as 4-tuples in coordsArray (Xmin, Xmax, Ymin, Ymax).